"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function Route(method, path) {
    return function RouteDecorator(target, propertyKey, descriptor) {
        var decoredFunction = target[propertyKey];
        decoredFunction.path = path;
        decoredFunction.method = method;
        decoredFunction.controller = decoredFunction;
    };
}
exports.default = Route;
